### Struct

# Gio DBusNodeInfo

since: 2.26

#### Description

    struct GDBusNodeInfo {
      gint ref_count;
      gchar* path;
      GDBusInterfaceInfo** interfaces;
      GDBusNodeInfo** nodes;
      GDBusAnnotationInfo** annotations;
    }

Information about nodes in a remote object hierarchy.

###### Structure members

`ref_count`

  The reference count or -1 if statically allocated.

`path`

  The path of the node or `NULL` if omitted. Note that this may be a relative path. See the D-Bus specification for more details.

`interfaces`

  A pointer to a `NULL`-terminated array of pointers to `GDBusInterfaceInfo` structures or `NULL` if there are no interfaces.

`nodes`

  A pointer to a `NULL`-terminated array of pointers to `GDBusNodeInfo` structures or `NULL` if there are no nodes.

`annotations`

  A pointer to a `NULL`-terminated array of pointers to `GDBusAnnotationInfo` structures or `NULL` if there are no annotations.

Available since: 2.26

#### Constructors

###### g_dbus_node_info_new_for_xml

Parses `xml_data` and returns a `GDBusNodeInfo` representing the data.

since: 2.26

#### Instance methods

###### g_dbus_node_info_generate_xml

Appends an XML representation of `info` (and its children) to `string_builder`.

since: 2.26

###### g_dbus_node_info_lookup_interface

Looks up information about an interface.

since: 2.26

###### g_dbus_node_info_ref

If `info` is statically allocated does nothing. Otherwise increases the reference count.

since: 2.26

###### g_dbus_node_info_unref

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

since: 2.26